Page Summary
-
This webpage describes how to retrieve a custom bidding algorithm rules resource using an HTTP GET request.
-
The required path parameters for the request are the
customBiddingAlgorithmIdand thecustomBiddingAlgorithmRulesId. -
The required query parameter is the
accessorwhich identifies the DV360 entity owning the parent custom bidding algorithm and can be either a partner or an advertiser. -
The request body must be empty, and a successful response will contain an instance of
CustomBiddingAlgorithmRules. -
This operation requires the
https://www.googleapis.com/auth/display-videoOAuth scope for authorization.
- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Retrieves a rules resource.
HTTP request
GET https://displayvideo.googleapis.com/v4/customBiddingAlgorithms/{customBiddingAlgorithmId}/rules/{customBiddingAlgorithmRulesId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customBiddingAlgorithmId |
Required. The ID of the custom bidding algorithm that owns the rules resource. |
customBiddingAlgorithmRulesId |
Required. The ID of the rules resource to fetch. |
Query parameters
| Parameters | |
|---|---|
| Required. Identifies the DV360 entity that owns the parent custom bidding algorithm. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
partnerId |
The ID of the partner that owns the parent custom bidding algorithm. |
advertiserId |
The ID of the advertiser that owns the parent custom bidding algorithm. |
| End of mutually exclusive fields. | |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of CustomBiddingAlgorithmRules.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.